using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace InteractiveKiosk
{
    /// <summary>
    /// Логика взаимодействия для Map.xaml
    /// </summary>
    public partial class Map : Window
    {
        public Map()
        {
            InitializeComponent();
        }
        private void ZoomIn_Click(object sender, RoutedEventArgs e)
        {
            slider1.Value = slider1.Ticks.Select(x => (double?)x)
                .FirstOrDefault(x => x > slider1.Value) ?? slider1.Value;
        }

        private void ZoomOut_Click(object sender, RoutedEventArgs e)
        {
            slider1.Value = slider1.Ticks.Select(x => (double?)x)
                .LastOrDefault(x => x < slider1.Value) ?? slider1.Value;
        }
    }
}
